Bug 1713592 - Add perl-5.30-module
Summary: Add perl-5.30-module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: perl-5.30-module
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.3
Assignee: perl-maint-list
QA Contact: RHEL CS Apps Subsystem QE
Lenka Špačková
URL:
Whiteboard:
Depends On: 1837369 1757460 1763593 1852873 1852874 1852876
Blocks: 1825061 1732828
TreeView+ depends on / blocked
 
Reported: 2019-05-24 08:03 UTC by Petr Pisar
Modified: 2020-12-16 08:37 UTC (History)
5 users (show)

Fixed In Version: perl-5.30-8030020200609055348.568f3a16 perl-devel-5.30-8030020200609055348.568f3a16 perl-App-cpanminus-1.7044-8030020200313075600.3a33b840 perl-DBI-1.641-8030020200505125553.2fbcbb20 perl-DBI-devel-1.641-8030020200505125553.2fbcbb20 perl-DBD-MySQL-4.046-8030020200511061544.caf6787c perl-DBD-Pg-3.7-8030020200313075823.bde36347 perl-DBD-SQLite-1.58-8030020200313075906.caf6787c perl-FCGI-0.78-8030020200313080105.2fbcbb20 perl-YAML-1.24-8030020200313080146.a6d43775
Doc Type: Enhancement
Doc Text:
.A new module stream: `perl:5.30` RHEL 8.3 introduces `Perl 5.30`, which provides a number of bug fixes and enhancements over the previously released `Perl 5.26`. The new version also deprecates or removes certain language features. Notable changes with significant impact include: * The `Math::BigInt::CalcEmu`, `arybase`, and `B::Debug` modules have been removed * File descriptors are now opened with a `close-on-exec` flag * Opening the same symbol as a file and as a directory handle is no longer allowed * Subroutine attributes now must precede subroutine signatures * The `:locked` and `:uniq` attributes have been removed * Comma-less variable lists in formats are no longer allowed * A bare `<<` here-document operator is no longer allowed * Certain formerly deprecated uses of an unescaped left brace (`{`) character in regular expression patterns are no longer permitted * The `AUTOLOAD()` subroutine can no longer be inherited to non-method functions * The `sort` pragma no longer allows specifying a `sort` algorithm * The `B::OP::terse()` subroutine has been replaced by the `B::Concise::b_terse()` subroutine * The `File::Glob::glob()` function has been replaced by the `File::Glob::bsd_glob()` function * The `dump()` function now must be invoked fully qualified as `CORE::dump()` * The yada-yada operator (`...`) is a statement now, it cannot be used as an expression * Assigning a non-zero value to the `$[` variable now returns a fatal error * The `$*` and `$#` variables are no longer allowed * Declaring variables using the `my()` function in a false condition branch is no longer allowed * Using the `sysread()` and `syswrite()` functions on the `:utf8` handles now returns a fatal error * The `pack()` function no longer returns malformed UTF-8 format * Unicode code points with a value greater than `IV_MAX` are no longer allowed * Unicode 12.1 is now supported To upgrade from an earlier `perl` module stream, see link:https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html-single/installing_managing_and_removing_user-space_components/index#switching-to-a-later-stream_managing-versions-of-appstream-content[Switching to a later stream]. `Perl 5.30` is also available as an s2i-enabled `ubi8/perl-530` container image.
Clone Of:
: 1732828 1852873 (view as bug list)
Environment:
Last Closed: 2020-11-04 03:20:27 UTC
Type: Feature Request
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1869358 unspecified CLOSED AppStream repository is missing perl:5.30 module stream 2021-01-20 06:05:38 UTC
Red Hat Bugzilla 1870495 high CLOSED [rhel-8.3] metadata modules.json are missing rpms for recently added perl modules 2021-01-20 06:05:38 UTC
Red Hat Product Errata RHEA-2020:4727 None None None 2020-11-04 03:20:31 UTC

Description Petr Pisar 2019-05-24 08:03:20 UTC
RHEL 8 delivers Perl 5.24 and 5.26. We should also deliver the latest available Perl that is 5.30.

Comment 8 Petr Pisar 2019-09-24 16:19:24 UTC
Builds done (NVR, perl-context):

perl-5.30-8020020190923134636.1b153fc7
perl-DBI-1.641-8020020190923125347.80dfbdb3 perl:5.30
perl-DBI-1.641-8020020190923125347.31e953cd perl:5.26
perl-DBI-1.641-8020020190923125347.a7d630c8 perl:5.24
perl-DBD-MySQL-4.046-8020020190923125055.2b50cfb9   perl:5.30
perl-DBD-MySQL-4.046-8020020190923125055.0b3ca979   perl:5.26
perl-DBD-MySQL-4.046-8020020190923125055.bdf21d66   perl:5.24
perl-DBD-Pg-3.7-8020020190923125149.72c04ef1    perl:5.30
perl-DBD-Pg-3.7-8020020190923125149.d11aac1a    perl:5.26
perl-DBD-Pg-3.7-8020020190923125149.6038e73e    perl:5.24
perl-DBD-SQLite-1.58-8020020190923125247.2b50cfb9   perl:5.30
perl-DBD-SQLite-1.58-8020020190923125247.0b3ca979   perl:5.26
perl-DBD-SQLite-1.58-8020020190923125247.bdf21d66   perl:5.24
perl-FCGI-0.78-8020020190923125436.80dfbdb3 perl:5.30
perl-FCGI-0.78-8020020190923125436.31e953cd perl:5.26
perl-FCGI-0.78-8020020190923125436.a7d630c8 perl:5.24
perl-YAML-bootstrap-1.24-8020020190923125609.80dfbdb3   perl:5.30
perl-YAML-bootstrap-1.24-8020020190923125609.31e953cd   perl:5.26
perl-YAML-bootstrap-1.24-8020020190923125609.a7d630c8   perl:5.24
perl-YAML-1.24-8020020190923125515.c85f5ed0 perl:5.30
perl-YAML-1.24-8020020190923125515.2f5d8301 perl:5.26
perl-YAML-1.24-8020020190923125515.a64b55a9 perl:5.24
perl-App-cpanminus-1.7044-8020020190924144929.6002e663  perl:5.30
perl-App-cpanminus-1.7044-8020020190924144929.c7a0529d  perl:5.26
perl-App-cpanminus-1.7044-8020020190924144929.9e7f4a66  perl:5.24

Comment 15 Petr Pisar 2019-09-27 09:19:33 UTC
For the completeness, there is the perl-bootstrap build:
 
perl-bootstrap-5.30-8020020190923134032.6a468ee4

Comment 17 Petr Pisar 2019-09-27 11:26:45 UTC
rpmdiff discovered that perl-Config-Perl-V has a nonapplied Config-Perl-V-0.31-Upgrade-to-0.32.patch patch. This must be fixed.

Comment 42 Petr Pisar 2020-04-22 09:45:33 UTC
I will update the packages to more recent versions later to be on par with RHSCL-3.5 content.

Comment 48 Petr Pisar 2020-05-14 10:45:36 UTC
All modules have been rebuilt for perl:5.30 context in RHEL-8.3.0.

Comment 52 Petr Pisar 2020-05-22 10:02:17 UTC
perl:5.30 updated to 5.30.1 to match RHSCL-3.5 content.

Comment 62 Petr Pisar 2020-06-09 07:09:03 UTC
CVE-2020-12723, CVE-2020-10878, and CVE-2020-10543 fixed in perl-5.30-8030020200609055348.568f3a16.

Comment 82 Petr Pisar 2020-08-19 12:12:27 UTC
CentOS 8 Stream compose is broken (bug #1869358). It's missing perl:5.30 stream.

Comment 88 errata-xmlrpc 2020-11-04 03:20:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (new module: perl:5.30), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2020:4727


Note You need to log in before you can comment on or make changes to this bug.